Bug 194305 - Review Request: gtypist - GNU typing tutor
Summary: Review Request: gtypist - GNU typing tutor
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-06-07 04:52 UTC by Zing
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-18 15:42:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zing 2006-06-07 04:52:02 UTC
Spec URL: http://gtypist.zing.fastmail.fm/gtypist.spec
SRPM URL: http://gtypist.zing.fastmail.fm/gtypist-2.7-1.src.rpm

Description:
GNU Typist (or gtypist) is free software that assists you in learning
to type correctly.

It is intended to be used  on a raw terminal without graphics.  It has
been compiled and used in Unix (GNU/Linux, Aix, Solaris, openBSD) and
also in DOS/Windows (DOS 6.22, Windows 98).

Comment 1 Zing 2006-06-07 22:48:39 UTC
Spec URL: http://gtypist.zing.fastmail.fm/gtypist.spec
SRPM URL: http://gtypist.zing.fastmail.fm/gtypist-2.7-2.src.rpm

* Wed Jun  7 2006 Zing <zing@fastmail.fm> - 2.7-2
- add preun pkg check before running install-info

Comment 2 Jason Tibbitts 2006-06-14 14:35:02 UTC
Adding back in comments lost in the crash:

------- Additional Comments From tibbs@math.uh.edu  2006-06-11 02:51 EST -------
Builds fine in mock (x86_64, development).  rpmlint complains:

W: emacs-gtypist no-documentation
Can be ignored.

E: gtypist info-dir-file /usr/share/info/dir
You must not package this file; it will conflict with what's already on the
system.  The call to install-info in %post will update the system info directory.

You should not use %makeinstall; see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002


Comment 3 Jason Tibbitts 2006-06-14 14:35:20 UTC
------- Additional Comments From zing@fastmail.fm  2006-06-12 00:58 EST -------
Spec URL: http://gtypist.zing.fastmail.fm/gtypist.spec
SRPM URL: http://gtypist.zing.fastmail.fm/gtypist-2.7-3.src.rpm

* Mon Jun 12 2006 Zing <zing@fastmail.fm> - 2.7-3
- do not use makeinstall macro
- rm info dir file from buildroot?

Could you explain the /usr/share/info/dir error?  I don't see that in my i386
builds; Is it a x86-64 build error?  Is the above the correct fix?

Thanks.

Comment 4 Jason Tibbitts 2006-06-14 14:35:47 UTC
------- Additional Comments From paul@city-fan.org  2006-06-12 09:44 EST -------
(In reply to comment #3)
> * Mon Jun 12 2006 Zing <zing@fastmail.fm> - 2.7-3
> - do not use makeinstall macro
> - rm info dir file from buildroot?
> 
> Could you explain the /usr/share/info/dir error?  I don't see that in my i386
> builds; Is it a x86-64 build error?  Is the above the correct fix?

Whether it gets created or not depends on what's already installed on the build
machine. Since the file is not actually wanted in the package, the correct thing
to do is indeed to "rm -f" it at the end of %install. That way it gets deleted
if it's made, and there's no error if the file wasn't created in the first
place. Many other packages in Extras use the same approach.

Comment 5 Jason Tibbitts 2006-06-16 00:22:34 UTC
The only rpmlint warning left is:
W: emacs-gtypist no-documentation
which can be ignored.

Review:
* package meets naming and packaging guidelines.
   emacs-gtypist contains lisp files for emacs only.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible. License text included in package.
* source files match upstream:
   200d42de9a0070866d88116112370f0a  gtypist-2.7.tar.bz2
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint has only ignorable complaints.
* final provides and requires are sane:
  emacs-gtypist-2.7-3.fc6.x86_64.rpm
   emacs-gtypist = 2.7-3.fc6
  =
   emacs

  gtypist-2.7-3.fc6.x86_64.rpm
   gtypist = 2.7-3.fc6
  =
   /bin/sh
   /sbin/install-info
   /usr/bin/perl
   fortune-mod
   libncurses.so.5()(64bit)
   perl(Carp)
   perl(File::Temp)
   perl(Getopt::Std)
   perl(strict)

* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* scriptlets (install-info) are OK.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 6 Zing 2006-06-18 15:42:05 UTC
build success, setting NEXTRELEASE.  (thx for reposting lost comments)


Note You need to log in before you can comment on or make changes to this bug.